<?php
/*
Plugin Name: 微信小程序
Plugin URI: https://blog.wpjam.com/project/weapp/
Description: 微信小程序基础类库和管理
Version: 6.1
Author: Denis
Author URI: https://blog.wpjam.com/
Update URI: https://blog.wpjam.com/project/weapp/
*/
define('WEAPP_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('WEAPP_PLUGIN_URL', plugin_dir_url(__FILE__));
define('WEAPP_PLUGIN_FILE',  __FILE__);
define('WEAPP_MEDIA_DIR', WP_CONTENT_DIR.'/uploads/weapp');
define('WEAPP_MEDIA_URL', WP_CONTENT_URL.'/uploads/weapp');

function weapp_load(){
	include __DIR__.'/includes/class-weapp.php';
	include __DIR__.'/includes/class-weapp-user.php';

	include __DIR__.'/public/weapp-setting.php';
	include __DIR__.'/public/weapp-extends.php';

	do_action('weapp_loaded');
}

if(did_action('wpjam_loaded')){
	weapp_load();
}else{
	add_action('wpjam_loaded', 'weapp_load');
}

